finley::QuadInfo Struct Reference

`#include <Quadrature.h>`

## Public Attributes

QuadTypeId | TypeId
| quadrature type id More...
const char * | Name
| the name in text form e.g. "Line", "Rec", ... More...
int | numDim
| number of spatial dimensions More...
int | numVertices
| number of vertices of the element More...
Quad_getNodes * | getQuadNodes
| function that returns the quadrature points for a given order More...
Quad_getNumNodes * | getNumQuadNodes
Quad_getMacro * | getMacro
| transfers a given quadrature scheme to a macro element structure More...

## Member Data Documentation

## getMacro

Quad_getMacro* finley::QuadInfo::getMacro

transfers a given quadrature scheme to a macro element structure

## getNumQuadNodes

Quad_getNumNodes* finley::QuadInfo::getNumQuadNodes

function that returns the number of quadrature nodes for a given accuracy order

## getQuadNodes

Quad_getNodes* finley::QuadInfo::getQuadNodes

function that returns the quadrature points for a given order

## Name

const char* finley::QuadInfo::Name

the name in text form e.g. "Line", "Rec", ...

## numDim

int finley::QuadInfo::numDim

number of spatial dimensions

## numVertices

int finley::QuadInfo::numVertices

number of vertices of the element

## TypeId

QuadTypeId finley::QuadInfo::TypeId

quadrature type id

The documentation for this struct was generated from the following file:

- Quadrature.h